> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reachedapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Webhook

> Permanently removes a webhook subscription.

# Delete a Webhook

Permanently removes a webhook subscription. Delivery history is also deleted.

## Request

`DELETE /v1/webhooks/:id`

### Path Parameters

| Parameter | Type | Required | Description |
| - | - | - | - |
| `id` | uuid | Yes | The unique identifier of the webhook |

## Example

```bash cURL theme={null}
curl -X DELETE \
  "https://kdjmltmhxvvmiuehafgl.supabase.co/functions/v1/api-gateway/v1/webhooks/wh-uuid-1" \
  -H "Authorization: Bearer rchd_live_xxxxxxxxxxxx"
```

```javascript JavaScript theme={null}
const response = await fetch(
  "https://kdjmltmhxvvmiuehafgl.supabase.co/functions/v1/api-gateway/v1/webhooks/wh-uuid-1",
  {
    method: "DELETE",
    headers: {
      "Authorization": "Bearer rchd_live_xxxxxxxxxxxx"
    }
  }
);
const { data } = await response.json();
```

## Response

```json theme={null}
{
  "data": {
    "success": true
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.